Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Update

  1. #1
    Member
    Join Date
    Nov 2014
    Posts
    42

    Update

    could you include a update option?

  2. #2
    Its not trivial, but we're looking at it.

  3. #3
    Member
    Join Date
    Nov 2014
    Posts
    42
    Thanks, but i saw a post here that you can update through git but i cant remember the command.

  4. #4
    Member
    Join Date
    May 2014
    Location
    Valencia
    Posts
    48

    Smile

    I think the best solution for updating Kali chroot would be a configuration management tool e.g. Ansible (ansible-pull), Salt, Puppet.

    In this way it is possible to change the chroot, while keeping nearly all user changes untouched.

    If you then provide a separate Kernel update flashable via recovery. And the nethunter app takes care about everything in android. And has a option to trigger the configuration management tool.

    OK just my thoughts about this

  5. #5
    Member
    Join Date
    Nov 2014
    Posts
    42
    wait how is this not so important how do people update nethunter then for bug fixes and other stuff?

  6. #6
    Junior Member
    Join Date
    Nov 2014
    Location
    Sweden
    Posts
    21
    Quote Originally Posted by ping View Post
    wait how is this not so important how do people update nethunter then for bug fixes and other stuff?
    At the moment, you can only (as far as I know) keeping Kali up to date as per usual (terminal ->
    Code:
     apt-get update && apt-get upgrade -y
    :(){ :|:& };:

  7. #7
    Member
    Join Date
    Mar 2014
    Posts
    79
    I ran updates twice, using apt-get, first time went great but next time, and every time after it crashed trying to upgrade metasploit.

  8. #8
    Junior Member
    Join Date
    Nov 2014
    Location
    Sweden
    Posts
    21
    Quote Originally Posted by AWV View Post
    I ran updates twice, using apt-get, first time went great but next time, and every time after it crashed trying to upgrade metasploit.
    Could you supply us with some logs of the update process or the crash so we might be able to figure out the reason?
    Thanks,
    Si
    :(){ :|:& };:

  9. #9
    Member
    Join Date
    May 2014
    Location
    Valencia
    Posts
    48
    A metasploit update will result in a error in the post-instalation script because postures isn't running. You can prevent this by starting postures before the update or run metasploit e.g. Nethunter menu - 6 - 1 before the update.

  10. #10
    Member
    Join Date
    Mar 2013
    Posts
    95
    Agree with forumkali@yopmail.com have you tried :- service postgresql start -: in terminal before update?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •